#include<bits/stdc++.h>
using namespace std;
int main()
{
    int n,k,x;
    cin>>n>>k;
    int a[n+1];
    for(int i=1; i<=n; i++)
    {
        cin>>a[i];
        if(a[i] == k)
        {
            x=i;
        }
    }
    if(x == n)
    {
        x=0;
    }
    cout<<a[x+1]<<endl;
    return 0;
}